> ## Documentation Index
> Fetch the complete documentation index at: https://docs.cekura.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Delete Folder

> Delete a scenario folder and its contents



## OpenAPI

````yaml post /test_framework/v1/scenarios/delete_folder/
openapi: 3.1.0
info:
  title: Cekura API
  version: v1
  description: >-
    Complete API documentation for the Cekura platform. This API provides
    endpoints for testing, observing, and evaluating AI voice agents — including
    managing agents, running evaluators, defining metrics, and analyzing call
    quality.
servers:
  - url: https://api.cekura.ai
security: []
paths:
  /test_framework/v1/scenarios/delete_folder/:
    post:
      tags:
        - test_framework
      description: Scenarios folder delete
      operationId: scenarios-folder-delete_2
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/DeleteFolderRequest'
          application/x-www-form-urlencoded:
            schema:
              $ref: '#/components/schemas/DeleteFolderRequest'
          multipart/form-data:
            schema:
              $ref: '#/components/schemas/DeleteFolderRequest'
        required: true
      responses:
        '204':
          description: No response body
      security:
        - api_key: []
components:
  schemas:
    DeleteFolderRequest:
      type: object
      properties:
        path:
          type: string
          description: 'Folder path to delete. Example: "Sales.Inbound"'
        project_id:
          type: integer
          description: Project ID the folder belongs to
      required:
        - path
        - project_id
  securitySchemes:
    api_key:
      type: apiKey
      name: X-CEKURA-API-KEY
      in: header
      description: >-
        API Key Authentication. It should be included in the header of each
        request.

````